## org.eclipse.datatools.modelbase.sql.constraints.provider
Class SQLConstraintsItemProviderAdapterFactory

    java.lang.Object
      AdapterFactoryImpl
          org.eclipse.datatools.modelbase.sql.constraints.util.SQLConstraintsAdapterFactory
              org.eclipse.datatools.modelbase.sql.constraints.provider.SQLConstraintsItemProviderAdapterFactory

    public class SQLConstraintsItemProviderAdapterFactory

extends SQLConstraintsAdapterFactory

This is the factory that is used to provide the interfaces needed to support Viewers. The adapters generated by this factory convert EMF adapter notifications into calls to `fireNotifyChanged`. The adapters also support Eclipse property sheets. Note that most of the adapters are shared among multiple instances.

Constructor Summary
`SQLConstraintsItemProviderAdapterFactory()` This constructs an instance.

Method Summary
`Adapter` `adapt(Notifier notifier, java.lang.Object type)` This implementation substitutes the factory itself as the key for the adapter.
`void` `addListener(INotifyChangedListener notifyChangedListener)` This adds a listener.
`Adapter` `createAssertionAdapter()` This creates an adapter for a `Assertion`.
`Adapter` `createCheckConstraintAdapter()` This creates an adapter for a `CheckConstraint`.
`Adapter` `createForeignKeyAdapter()` This creates an adapter for a `ForeignKey`.
`Adapter` `createIndexAdapter()` This creates an adapter for a `Index`.
`Adapter` `createIndexMemberAdapter()` This creates an adapter for a `IndexMember`.
`Adapter` `createPrimaryKeyAdapter()` This creates an adapter for a `PrimaryKey`.
`Adapter` `createUniqueConstraintAdapter()` This creates an adapter for a `UniqueConstraint`.
`void` `fireNotifyChanged(Notification notification)` This delegates to `changeNotifier` and to `parentAdapterFactory`.
`ComposeableAdapterFactory` `getRootAdapterFactory()` This returns the root adapter factory that contains this factory.
`boolean` `isFactoryForType(java.lang.Object type)`
`void` `removeListener(INotifyChangedListener notifyChangedListener)` This removes a listener.
`void` `setParentAdapterFactory(ComposedAdapterFactory parentAdapterFactory)` This sets the composed adapter factory that contains this factory.

Methods inherited from class org.eclipse.datatools.modelbase.sql.constraints.util.SQLConstraintsAdapterFactory
`createAdapter, createConstraintAdapter, createEModelElementAdapter, createENamedElementAdapter, createEObjectAdapter, createReferenceConstraintAdapter, createSQLObjectAdapter, createTableConstraintAdapter`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLConstraintsItemProviderAdapterFactory

    public SQLConstraintsItemProviderAdapterFactory()

  This constructs an instance.

Method Detail

### createAssertionAdapter

    public Adapter createAssertionAdapter()

  This creates an adapter for a `Assertion`.

  Overrides:
    `createAssertionAdapter` in class `SQLConstraintsAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Assertion`

### createCheckConstraintAdapter

    public Adapter createCheckConstraintAdapter()

  This creates an adapter for a `CheckConstraint`.

  Overrides:
    `createCheckConstraintAdapter` in class `SQLConstraintsAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `CheckConstraint`

### createForeignKeyAdapter

    public Adapter createForeignKeyAdapter()

  This creates an adapter for a `ForeignKey`.

  Overrides:
    `createForeignKeyAdapter` in class `SQLConstraintsAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ForeignKey`

### createUniqueConstraintAdapter

    public Adapter createUniqueConstraintAdapter()

  This creates an adapter for a `UniqueConstraint`.

  Overrides:
    `createUniqueConstraintAdapter` in class `SQLConstraintsAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `UniqueConstraint`

### createPrimaryKeyAdapter

    public Adapter createPrimaryKeyAdapter()

  This creates an adapter for a `PrimaryKey`.

  Overrides:
    `createPrimaryKeyAdapter` in class `SQLConstraintsAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `PrimaryKey`

### createIndexAdapter

    public Adapter createIndexAdapter()

  This creates an adapter for a `Index`.

  Overrides:
    `createIndexAdapter` in class `SQLConstraintsAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Index`

### createIndexMemberAdapter

    public Adapter createIndexMemberAdapter()

  This creates an adapter for a `IndexMember`.

  Overrides:
    `createIndexMemberAdapter` in class `SQLConstraintsAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `IndexMember`

### getRootAdapterFactory

    public ComposeableAdapterFactory getRootAdapterFactory()

  This returns the root adapter factory that contains this factory.

### setParentAdapterFactory

    public void setParentAdapterFactory(ComposedAdapterFactory parentAdapterFactory)

  This sets the composed adapter factory that contains this factory.

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object type)

  Overrides:
    `isFactoryForType` in class `SQLConstraintsAdapterFactory`
  Returns:
    whether this factory is applicable for the type of the object.

### adapt

    public Adapter adapt(Notifier notifier,
                         java.lang.Object type)

  This implementation substitutes the factory itself as the key for the adapter.

### addListener

    public void addListener(INotifyChangedListener notifyChangedListener)

  This adds a listener.

### removeListener

    public void removeListener(INotifyChangedListener notifyChangedListener)

  This removes a listener.

### fireNotifyChanged

    public void fireNotifyChanged(Notification notification)

  This delegates to `changeNotifier` and to `parentAdapterFactory`.

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.